Emails
Send email
POST
/
v1
/
emails
cURL
curl --request POST \
--url https://app.usesend.com/api/v1/emails \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": "<string>",
"from": "<string>",
"subject": "<string>",
"templateId": "<string>",
"variables": {},
"replyTo": "<string>",
"cc": "<string>",
"bcc": "<string>",
"text": "<string>",
"html": "<string>",
"headers": {},
"attachments": [
{
"filename": "<string>",
"content": "<string>"
}
],
"scheduledAt": "2023-11-07T05:31:56Z",
"inReplyToId": "<string>"
}
'import requests
url = "https://app.usesend.com/api/v1/emails"
payload = {
"to": "<string>",
"from": "<string>",
"subject": "<string>",
"templateId": "<string>",
"variables": {},
"replyTo": "<string>",
"cc": "<string>",
"bcc": "<string>",
"text": "<string>",
"html": "<string>",
"headers": {},
"attachments": [
{
"filename": "<string>",
"content": "<string>"
}
],
"scheduledAt": "2023-11-07T05:31:56Z",
"inReplyToId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
to: '<string>',
from: '<string>',
subject: '<string>',
templateId: '<string>',
variables: {},
replyTo: '<string>',
cc: '<string>',
bcc: '<string>',
text: '<string>',
html: '<string>',
headers: {},
attachments: [{filename: '<string>', content: '<string>'}],
scheduledAt: '2023-11-07T05:31:56Z',
inReplyToId: '<string>'
})
};
fetch('https://app.usesend.com/api/v1/emails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"emailId": "<string>"
}Send a transactional email via the public API.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Pass the optional Idempotency-Key header to make the request safe to retry. The key can be up to 256 characters. The server stores the canonical request body and behaves as follows:
- Same key + same request body → returns the original emailId with 200 OK without re-sending.
- Same key + different request body → returns 409 Conflict with code: NOT_UNIQUE so you can detect the mismatch.
- Same key while another request is still being processed → returns 409 Conflict; retry after a short delay or once the first request completes.
Entries expire after 24 hours. Use a unique key per logical send (for example, an order or signup ID).
Required string length:
1 - 256Body
application/json
Optional when templateId is provided
Minimum string length:
1ID of a template from the dashboard
Show child attributes
Show child attributes
Minimum string length:
1Minimum string length:
1Custom headers to included with the emails
Show child attributes
Show child attributes
Maximum array length:
10Show child attributes
Show child attributes
Response
200 - application/json
Retrieve the user
⌘I
cURL
